CRAN Package Check Results for Package termstrc

Last updated on 2015-05-28 03:47:42.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 1.3.7 5.72 29.64 35.36 NOTE
r-devel-linux-x86_64-debian-gcc 1.3.7 6.88 27.68 34.55 NOTE
r-devel-linux-x86_64-fedora-clang 1.3.7 68.45 NOTE
r-devel-linux-x86_64-fedora-gcc 1.3.7 66.82 NOTE
r-devel-osx-x86_64-clang 1.3.7 67.04 NOTE
r-devel-windows-ix86+x86_64 1.3.7 27.00 67.00 94.00 OK
r-patched-linux-x86_64 1.3.7 7.86 27.89 35.75 NOTE
r-patched-solaris-sparc 1.3.7 421.30 NOTE
r-patched-solaris-x86 1.3.7 91.80 NOTE
r-release-linux-x86_64 1.3.7 6.81 28.20 35.02 NOTE
r-release-osx-x86_64-mavericks 1.3.7 OK
r-release-osx-x86_64-snowleopard 1.3.7 ERROR
r-release-windows-ix86+x86_64 1.3.7 26.00 56.00 82.00 OK
r-oldrel-windows-ix86+x86_64 1.3.7 26.00 75.00 101.00 OK

Check Details

Version: 1.3.7
Check: S3 generic/method consistency
Result: NOTE
    Found the following apparent S3 methods exported but not registered:
     plot.df_curves plot.dyntermstrc_nss plot.dyntermstrc_param
     plot.dyntermstrc_yields plot.error plot.fwr_curves plot.ir_curve
     plot.s_curves plot.spot_curves plot.spsearch plot.termstrc_cs
     plot.termstrc_nss plot.zeroyields print.couponbonds
     print.dyncouponbonds print.dyntermstrc_nss print.dyntermstrc_yields
     print.summary.dyntermstrc_nss print.summary.dyntermstrc_param
     print.summary.dyntermstrc_yields print.summary.termstrc_cs
     print.summary.termstrc_nss print.termstrc_cs print.termstrc_nss
     print.zeroyields summary.dyntermstrc_nss summary.dyntermstrc_param
     summary.dyntermstrc_yields summary.termstrc_cs summary.termstrc_nss
     summary.zeroyields
    See section ‘Registering S3 methods’ in the ‘Writing R Extensions’
    manual.
Flavors: r-devel-linux-x86_64-debian-clang, r-devel-linux-x86_64-debian-gcc, r-devel-linux-x86_64-fedora-clang, r-devel-linux-x86_64-fedora-gcc, r-devel-osx-x86_64-clang, r-patched-linux-x86_64, r-patched-solaris-sparc, r-patched-solaris-x86, r-release-linux-x86_64

Version: 1.3.7
Check: package dependencies
Result: ERROR
    Packages required but not available: ‘lmtest’ ‘sandwich’ ‘zoo’
    
    See section ‘The DESCRIPTION file’ in the ‘Writing R Extensions’
    manual.
Flavor: r-release-osx-x86_64-snowleopard